﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using ClientOM = Microsoft.SharePoint.Client;
using Microsoft.SharePoint.Client;

namespace SPWriteListWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        string strSPURL = "";
        string strBlogTitle = "";
        string strBlogContent = "";
        string strBlogAuthor = "";

        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnAdd_Click(object sender, RoutedEventArgs e)
        {
            strSPURL = txtbxURL.Text;
            strBlogTitle = txtbxBlogTitle.Text;
            strBlogContent = txtbxBlogContent.Text;
            strBlogAuthor = txtbxBlogAuthor.Text;
            ClientOM.ClientContext mySPContext = new ClientContext(strSPURL);
            ClientOM.List productsList = mySPContext.Web.Lists.GetByTitle("Blog");
            mySPContext.Load(mySPContext.Web);
            mySPContext.Load(productsList);
            mySPContext.ExecuteQuery();
            ListItemCreationInformation newBlogRecord = new ListItemCreationInformation();
            ClientOM.ListItem newBlogItem = productsList.AddItem(newBlogRecord);
            newBlogItem["Title"] = strBlogTitle;
            newBlogItem["Content"] = strBlogContent;
            newBlogItem["Writer"] = strBlogAuthor;
            newBlogItem.Update();
            mySPContext.ExecuteQuery();
        }

        private void btnClear_Click(object sender, RoutedEventArgs e)
        {
            txtbxURL.Text = "";
            txtbxBlogTitle.Text = "";
            txtbxBlogContent.Text = "";
            txtbxBlogAuthor.Text = "";
        }

        private void btnExit_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Shutdown();
        }
    }
}
